classification
Title: failfast argument to TextTestRunner not documented
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Wrong signature of TextTestRunner's init function
View: 17871
Assigned To: michael.foord Nosy List: Claudiu.Popa, cheryl.sabella, docs@python, eric.araujo, michael.foord, pitrou, xtreak
Priority: normal Keywords:

Created on 2011-07-23 19:08 by pitrou, last changed 2019-03-18 12:40 by cheryl.sabella. This issue is now closed.

Messages (5)
msg141004 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-07-23 19:08
http://docs.python.org/dev/library/unittest.html#unittest.TextTestRunner doesn't mention the "failfast" argument, even though it's used by unittest.main().
msg221465 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-24 15:04
Slipped under the radar?
msg221469 - (view) Author: PCManticore (Claudiu.Popa) * (Python triager) Date: 2014-06-24 15:45
Mark, why not contributing a patch? Seems pretty straight forward to write it.
msg338126 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-03-17 11:57
failfast was added to the TextTestRunner signature in docs with issue17871 for 3.x and issue26097 for 2.7 . I guess the original issue was about signature missing in the docs and if so would propose closing this issue since it's fixed now.
msg338214 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-03-18 12:40
I agree with @xtreak.  Closing this as a duplicate.
History
Date User Action Args
2019-03-18 12:40:51cheryl.sabellasetstatus: open -> closed

superseder: Wrong signature of TextTestRunner's init function

nosy: + cheryl.sabella
messages: + msg338214
resolution: duplicate
stage: needs patch -> resolved
2019-03-17 11:57:15xtreaksetnosy: + xtreak
messages: + msg338126
2019-03-15 23:44:02BreamoreBoysetnosy: - BreamoreBoy
2014-06-24 15:45:26Claudiu.Popasetnosy: + Claudiu.Popa
messages: + msg221469
2014-06-24 15:04:50BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221465
versions: + Python 2.7, Python 3.4, Python 3.5, - Python 3.2, Python 3.3
2011-07-29 16:23:24eric.araujosetnosy: + eric.araujo, docs@python
2011-07-23 19:08:28pitroucreate